%define		oname s3cmd

Name:		python-%{oname}
Version:	1.0.1
Release:	%mkrel 2
Summary:	Command line tool for managing Amazon S3 and CloudFront services

Group:		Networking/File transfer
License:	GPLv2
URL:		http://s3tools.org/s3cmd
Source:		http://prdownloads.sourceforge.net/s3tools/s3cmd-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	libpython-devel
Requires:	python

%description
S3cmd lets you copy files from/to Amazon S3
(Simple Storage Service) using a simple to use
command line client. Supports rsync-like backup,
GPG encryption, and more. Also supports management
of Amazon's CloudFront content delivery network.


%prep
%setup -q -n %{oname}-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install --root=$RPM_BUILD_ROOT --prefix=%{_prefix}
mkdir -p %{buildroot}%{_datadir}/doc/%{name}
mv %{buildroot}%{_datadir}/doc/packages/s3cmd/* %{buildroot}%{_datadir}/doc/%{name}/
rm -fr %{buildroot}%{_prefix}/lib*/python*/site-packages/*.egg-info


%files
%{_bindir}/*
%{python_sitelib}/S3
%doc %{_datadir}/doc/%{name}/*
%doc %{_mandir}/man1/*



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.0.1-2.mga3
+ Revision: 379458
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 23 2011 sander85 <sander85> 1.0.1-1.mga2
+ Revision: 128049
- new version: 1.0.1

* Thu Apr 21 2011 sander85 <sander85> 1.0.0-1.mga1
+ Revision: 89623
- new version 1.0.0
- imported package python-s3cmd

